#include "Converter.h"
#include <stdio.h>

static char buffer[256];

template<typename T>
static const char * pri(const char * format, T val )
{
	sprintf( buffer, format, val );
	return buffer;
}

const char * Converter::convert( bool number )
{
	//MAX: ne uveren chto tak
	return pri( "%d", number );
}

const char * Converter::convert( int number )
{
	return pri( "%d", number );
}

const char * Converter::convert( unsigned number )
{
	return pri( "%d", number );
}

const char * Converter::convert( float number )
{
	return pri( "%f", number );
}

const char * Converter::convert( double number )
{
	return pri( "%lf", number );
}

bool Converter::convert( const char * stt, bool * number )
{
	int temp_val(0);
	bool ok = sscanf( stt, "%d", &temp_val ) == 1;
	*number = !!temp_val;//or (temp_val != 0);
	return ok;
}
bool Converter::convert( const char * stt, int * number )
{
	return sscanf( stt, "%d", number ) == 1;
}
bool Converter::convert( const char * stt, unsigned * number )
{
	return sscanf( stt, "%d", number ) == 1;
}
bool Converter::convert( const char * stt, float * number )
{
	return sscanf( stt, "%f", number ) == 1;
}
bool Converter::convert( const char * stt, double * number )
{
	return sscanf( stt, "%lf", number ) == 1;
}
