#ifndef INTERFACE2D_H
#define INTERFACE2D_H

class Hardware2D;
#include <String.hpp>
#include <Nocopy.h>

class Interface2D : private Nocopy
{
public:	
	explicit Interface2D(Hardware2D * hardware)
		:	hardware( hardware )
	{}
	virtual ~Interface2D()
	{}
	virtual String get_caption()const
	{
		return String("Game 8-)");
	}
	virtual bool life_cycle(float delta_time)
	{
		return false; // false,   ,   
	}
	virtual bool render()
	{
		return true;
	}	
	virtual void key_up(int scan_code)
	{}
	virtual void key_down(int scan_code)
	{}
protected:
	Hardware2D * hardware;
};

Interface2D * create_game(Hardware2D * hardware);

#endif //INTERFACE2D_H