#ifndef PICTUREFORMATTWIN_H
#define PICTUREFORMATTWIN_H

#include "PictureFormat.h"
#include <Nocopy.h>
class String;

class PictureFormatTwin : public PictureFormat, private Nocopy
{
	Color * data;
	int sx;
	int sy;
	static bool recursion;
public:	
	explicit PictureFormatTwin(const String & name);
	virtual ~PictureFormatTwin();
	virtual const Color * colors()const;	
	virtual int height()const;
	virtual int width()const;
	virtual int alpha_bits()const
	{
		return 8;
	}
};
#endif //PICTUREFORMATTWIN_H