#ifndef RESOURCEFILEWINDOWS_H
#define RESOURCEFILEWINDOWS_H

#include "Resource.h"
#include <Nocopy.h>
class String;

class ResourceFileWindows : public Resource, private Nocopy
{
	struct Impl;
	Impl * pimpl;
public:
	explicit ResourceFileWindows(const String & name);
	virtual ~ResourceFileWindows();
	bool operator!()const;

	unsigned read(void * data, unsigned count);
	virtual void skip(unsigned count);

	virtual unsigned get_size();
	virtual void reset(unsigned position);
};
#endif //RESOURCEFILEWINDOWS_H